> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Organization Risk Model



## OpenAPI

````yaml PUT /api/v1/custom/org/{organization_uuid}/risk_model
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/risk_model:
    put:
      tags:
        - api
      operationId: api_v1_custom_org_risk_model_update
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationRiskModel'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/OrganizationRiskModel'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/OrganizationRiskModel'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationRiskModel'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    OrganizationRiskModel:
      type: object
      properties:
        name:
          type: string
        risk_covariance:
          $ref: '#/components/schemas/RiskCovaraiance'
        risk_loadings:
          $ref: '#/components/schemas/RiskModelLoadings'
        risk_idiosyncratic:
          type: array
          items:
            $ref: '#/components/schemas/RiskIdiosyncraticEntry'
      required:
        - name
        - risk_covariance
        - risk_idiosyncratic
        - risk_loadings
    RiskCovaraiance:
      type: object
      properties:
        factors:
          type: array
          items:
            type: string
        matrix:
          type: array
          items:
            type: array
            items:
              type: string
              format: decimal
              pattern: ^-?\d{0,5}(?:\.\d{0,10})?$
      required:
        - factors
        - matrix
    RiskModelLoadings:
      type: object
      properties:
        factors:
          type: array
          items:
            type: string
        loadings:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: decimal
              pattern: ^-?\d{0,5}(?:\.\d{0,10})?$
      required:
        - factors
        - loadings
    RiskIdiosyncraticEntry:
      type: object
      properties:
        asset_row:
          type: string
        asset_col:
          type: string
        variance:
          type: string
          format: decimal
          pattern: ^-?\d{0,5}(?:\.\d{0,10})?$
      required:
        - asset_col
        - asset_row
        - variance
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````